> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search listings with a text term

> Performs a general text search over listings, returning matches for the given term. Optional result limit can be passed.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /listings/search
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /listings/search:
    get:
      tags:
        - Listings
      summary: Search listings with a text term
      description: >-
        Performs a general text search over listings, returning matches for the
        given term. Optional result limit can be passed.
      parameters:
        - description: Search term (case-insensitive)
          in: query
          name: term
          required: true
          schema:
            type: string
        - description: 'Max number of results to return (default: 250)'
          in: query
          name: limit
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/listings.Listing'
                type: array
          description: search results
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: missing or invalid search term
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: internal error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    listings.Listing:
      properties:
        content:
          $ref: '#/components/schemas/listings.ListingContent'
        created_at:
          description: TODO open, change to unix timestamp?
          type: string
        id:
          type: string
        kind:
          type: integer
        public_key:
          type: string
        recipient_public_key:
          type: string
        reply_url:
          type: string
        root_id:
          type: string
        sig:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
        thread_id:
          type: string
        url:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    listings.ListingContent:
      properties:
        attributes:
          allOf:
            - $ref: '#/components/schemas/listings.ListingAttributes'
          description: Meta Attribibutes
          type: object
        batch_id:
          description: Batch ID (Optional)
          type: string
        company:
          description: 'Default: Publish Company Name'
          type: string
        contact:
          $ref: '#/components/schemas/listings.ListingContact'
        encrypted:
          $ref: '#/components/schemas/listings.SecureField'
        errors:
          additionalProperties:
            type: string
          description: Error field for parsing
          type: object
        image_url:
          type: string
        internal_no:
          description: Internal Number (Optional)
          type: string
        material_no:
          description: Mandatory upload fields
          type: string
        mfr:
          description: Manufacturer (Required)
          type: string
        qty:
          description: Quantity (Required)
          type: integer
        timing:
          allOf:
            - $ref: '#/components/schemas/listings.ListingTiming'
          description: Timing (Optional)
          type: object
        type:
          description: '"supply" or "demand"'
          type: string
        unit_price:
          description: Unit Price (Required)
          type: number
      type: object
    listings.ListingAttributes:
      properties:
        coo:
          type: string
        currency:
          type: string
        custom:
          additionalProperties: true
          description: user-defined
          type: object
        date_code:
          type: string
        description:
          type: string
        eccn:
          type: string
        lot_no:
          type: string
        moq:
          type: integer
        mpq:
          type: integer
        packaging:
          type: string
      type: object
    listings.ListingContact:
      properties:
        methods:
          items:
            type: string
          type: array
        reply_url:
          type: string
      type: object
    listings.SecureField:
      properties:
        ciphertext:
          type: string
        payload:
          additionalProperties: true
          type: object
      type: object
    listings.ListingTiming:
      properties:
        expiry:
          type: integer
        lead_time:
          type: string
        lead_time_int:
          type: integer
        required_date:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````